> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quote by ID

<Note>
  **Note**: Quotes that have not been used in the settlement of an order are
  deleted after 7 days.
</Note>


## OpenAPI

````yaml get /api/quotes/{id}
openapi: 3.0.0
info:
  version: v1.0.0
  title: Quotes API
  description: API for managing quotes in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/quotes/{id}:
    get:
      summary: Get Quote by ID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Id of the quote to be obtained.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseQuoteSchema'
          description: OK
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notFound'
          description: Not Found
components:
  schemas:
    responseQuoteSchema:
      type: object
      properties:
        fees:
          type: object
          properties:
            processingFeeFiat:
              type: number
              description: Processing fee in fiat currency.
              example: 0
            transferFeeFiat:
              type: number
              description: Transfer fee in fiat currency.
              example: 0.17832524656482562
            platformFeeFiat:
              type: number
              description: Platform fee in fiat currency.
              example: 20
        userId:
          type: string
          description: Id of the user who created the quote.
          example: 66290ac8bd3903485989f82e
        crypto:
          description: Crypto currency.
          type: string
          enum:
            - USDC
            - USDC_POLYGON_NXTB
            - SOL_USDC_PTHX
            - XLM_USDC_5F3T
            - USDT_POLYGON
            - USDT_ERC20
            - TRX_USDT_S2UZ
            - USDT_BSC
        side:
          description: Side of the quote.
          type: string
          enum:
            - buy
            - sell
        fiat:
          description: Fiat currency.
          type: string
          enum:
            - USD
            - MXN
            - PEN
            - COP
        paymentMethod:
          description: The method of payment used in the transaction.
          type: string
          enum:
            - bankTransfer
        expiresAt:
          type: string
          description: >-
            Date and time at which the quote is no longer valid and cannot be
            used to create an order. This value is undefined in buy and sell
            orders where the fiat value is USD , as those quotes do not expire.
          example: '2024-06-04T15:07:13.097Z'
        country:
          description: The country where the quote is applicable.
          type: string
          enum:
            - MX
            - PE
            - CO
            - US
        amountFiat:
          type: number
          description: The transaction amount in the fiat currency.
          example: 1000
        amountCrypto:
          type: number
          description: The transaction amount in the cryptocurrency.
          example: 54.77
        marketPrice:
          type: number
          description: The current price of the cryptocurrency in the fiat currency.
          example: 0.0560773092573
        createdAt:
          type: string
          description: The date and time when the quote was created.
          example: '2024-06-04T15:02:13.097Z'
        quoteInCrypto:
          type: boolean
          description: Indicates if the quote is provided in the cryptocurrency.
          example: false
        reissueAfterExpiration:
          type: boolean
          description: >-
            Indicates if a new quote should be issued after the current one
            expires.
          example: true
        netPrice:
          type: number
          description: The final price of the order, including taxes and fees
          example: 0.97671
        twoWaySettlementType:
          type: string
          description: >-
            The type of settlement for the order. `default` means that the order
            is settles regularly (usually this means upon receipt of the
            payment), while `TPlusOffset` means that the order is settled after
            a certain number of business days.
          enum:
            - default
            - TPlusOffset
        twoWaySettlementDateOffset:
          type: number
          description: >-
            The number of business days until the order is settled. This is only
            applicable for if the `twoWaySettlementType` is `TPlusOffset`.
          example: 1
        twoWaySettlementDate:
          type: string
          description: The date on which the order is settled.
          example: '2024-06-04T15:02:13.097Z'
        effectiveTwoWaySettlementDateOffset:
          type: number
          description: >-
            The number of billable days until the order is settled. This is only
            applicable for if the `twoWaySettlementType` is `TPlusOffset`.
          example: 1
        paymentDueDate:
          type: string
          description: The date on which the payment is due.
          example: '2024-06-04T15:02:13.097Z'
        orderType:
          type: string
          description: >-
            The type of order. `market` means that the order is executed at the
            current market price, while `limit` means that the order is executed
            at a specified limit net price.
          enum:
            - market
            - limit
        limitNetPrice:
          type: number
          description: >-
            The net price of the order. This is only applicable for if the
            `orderType` is `limit`.
          example: 18.75
        timeInForceStartsAt:
          type: string
          description: >-
            The date and time from which the order is scheduled to be executed
            (optional).
          example: '2024-06-04T15:02:13.097Z'
        timeInForceEndsAt:
          type: string
          description: >-
            The date and time until which the order is scheduled to be executed
            (optional).
          example: '2024-06-04T15:02:13.097Z'
        id:
          type: string
          description: The unique identifier of the quote.
          example: 665f2c75d6c964829d6398f4
    notFound:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: number
                example: 21
              message:
                type: string
                example: Quote not found
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````